Bug 1308951 - hosted-engine fails on master
hosted-engine fails on master
Status: CLOSED CURRENTRELEASE
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General (Show other bugs)
2.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.0.0-alpha
: 2.0.0
Assigned To: Sandro Bonazzola
Artyom
: CodeChange, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 09:48 EST by Martin Perina
Modified: 2017-05-11 05:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 04:04:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: blocker+
rule-engine: planning_ack+
sbonazzo: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)
logs (18.53 KB, application/x-xz)
2016-02-16 09:48 EST, Martin Perina
no flags Details

  None (edit)
Description Martin Perina 2016-02-16 09:48:19 EST
Created attachment 1127609 [details]
logs

Description of problem:

'hosted-engine --deploy' crashes after specifying nfs3 storage and correct storage connection path:

[ INFO  ] Stage: Initializing
[ INFO  ] Generating a temporary VNC password.
[ INFO  ] Stage: Environment setup
          Continuing will configure this host for serving as hypervisor and create a VM where you have to install the engine afterwards.
          Are you sure you want to continue? (Yes, No)[Yes]: 
          Configuration files: []
          Log file: /var/log/ovirt-hosted-engine-setup/ovirt-hosted-engine-setup-20160216161134-e10puq.log
          Version: otopi-1.4.2_master (otopi-1.4.2-0.0.master.20160209100720.gitf02aac4.el7)
[ INFO  ] Hardware supports virtualization
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment setup
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Generating libvirt-spice certificates
[WARNING] Cannot locate gluster packages, Hyper Converged setup support will be disabled.
[ INFO  ] Please abort the setup and install vdsm-gluster, gluster-server >= 3.7.2 and restart vdsmd service in order to gain Hyper Converged setup support.
[ INFO  ] Stage: Environment customization
         
          --== STORAGE CONFIGURATION ==--
         
          During customization use CTRL-D to abort.
          Please specify the storage you would like to use (glusterfs, iscsi, fc, nfs3, nfs4)[nfs3]: 
          Please specify the full shared storage connection path to use (example: host:/path): str-02.rhev.lab.eng.brq.redhat.com:/mnt/export/nfs/170/nfs01
[ INFO  ] Installing on first host
         
          --== SYSTEM CONFIGURATION ==--
         
         
          --== NETWORK CONFIGURATION ==--
         
[ ERROR ] Failed to execute stage 'Environment customization': 'module' object has no attribute 'CachingNetInfo'
[ INFO  ] Stage: Clean up
[ INFO  ] Generating answer file '/var/lib/ovirt-hosted-engine-setup/answers/answers-20160216161209.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Hosted Engine deployment failed: this system is not reliable, please check the issue, fix and redeploy
          Log file is located at /var/log/ovirt-hosted-engine-setup/ovirt-hosted-engine-setup-20160216161134-e10puq.log


The system is newly installed Centos 7.2, packages updated, disabled NetworkManager and enabled classic network service.

Version-Release number of selected component (if applicable):

ovirt-hosted-engine-setup-2.0.0-0.0.master.20160212101908.git9edcb21.el7.centos

How reproducible:

100%

Steps to Reproduce:
1. Execute hosted-engine --deploy
2. Enter storage type 'nfs3' and valid storage connection path
3.

Actual results:

hosted-engine --deploy fails

Expected results:

hosted-engine --deploy continues successfully

Additional info:
Comment 1 Simone Tiraboschi 2016-02-16 10:01:52 EST
Martin, are you running hosted-engine-setup from master with VDSM from 3.6?

NetInfo becomes CachingNetInfo moving from VDSM 4.17.20 from 3.6 to VDSM 4.17.999 from master.
Probably we should explicitly require an higher dependency on ovirt-hosted-engine-setup-2.0
Comment 2 Martin Perina 2016-02-16 10:09:31 EST
No, vdsm is also from master, everything is installed from repos contained in http://resources.ovirt.org/pub/yum-repo/ovirt-release-master.rpm
Comment 3 Sandro Bonazzola 2016-03-16 09:32:33 EDT
Can you retry? We fixed vdsm API and sdk calls last week.
Comment 4 Sandro Bonazzola 2016-03-16 09:33:28 EDT
Moving to modified, please reopen if it fails for you
Comment 5 Martin Perina 2016-03-17 08:58:17 EDT
I haven't been able to reproduce error:

  'module' object has no attribute 'CachingNetInfo'

but hosted-engine --deploy failed in later stage with error:

  'module' object has no attribute 'Ssh'

I have created BZ1318652 to cover this new issue.
Comment 6 Artyom 2016-04-12 05:03:10 EDT
Verified on ovirt-hosted-engine-setup-2.0.0-0.0.master.20160325145108.gita9a3495.el7.centos.noarch

1) Deploy first host on NFS - pass
2) Deploy additional host - pass
Comment 7 Sandro Bonazzola 2016-07-05 04:04:49 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.